Bug 425786 - akonadi_archivemail_agent (akonadi_archivemail_agent), signal: Segmentation fault - Akonadi::EntityTreeModel::modelIndexForCollection (model=<optimized out>, collection=...)
Summary: akonadi_archivemail_agent (akonadi_archivemail_agent), signal: Segmentation f...
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: Archive Mail Agent (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2020-08-25 16:06 UTC by Don Curtis
Modified: 2020-09-16 16:52 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (24.51 KB, text/plain)
2020-08-25 16:21 UTC, Don Curtis
Details
New crash information added by DrKonqi (15.21 KB, text/plain)
2020-08-26 08:33 UTC, Don Curtis
Details
New crash information added by DrKonqi (14.59 KB, text/plain)
2020-08-27 06:56 UTC, Don Curtis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Don Curtis 2020-08-25 16:06:28 UTC
Application: akonadi_archivemail_agent (5.14.2 (20.04.2))

Qt Version: 5.12.7
Frameworks Version: 5.71.0
Operating System: Linux 5.3.18-lp152.36-default x86_64
Windowing system: X11
Distribution: openSUSE Leap 15.2

-- Information about the crash:
- What I was doing when the application crashed:

New, fresh, KMail installation - 1 Akonadi MailDir resource per POP3 Resource - all the needed e-Mail has been re-imported - no e-Mails without a RID - periodic pull of POP3 accounts setup - setting up the first periodic Archive - of the Inbox - pressed "OK" ...
 * Bong!!!!

 > akonadictl fsck 2>&1| grep -iE 'found|no RID'
Found 44 external files.
Found 44 external parts.
Found no unreferenced external files.
Found 0 parts to be moved to external files
Found 0 parts to be moved to database
Collection "Search" (id: 1) has no RID.
Collection "OpenInvitations" (id: 30) has no RID.
Collection "DeclinedInvitations" (id: 31) has no RID.
Found 3 collections without RID.
Found 0 items without RID.
Found 0 dirty items.
Checking Free Software Foundation
 >

-- Backtrace:
Application: akonadi_archivemail_agent (akonadi_archivemail_agent), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f6d8bd449c0 (LWP 3513))]

Thread 21 (Thread 0x7f6d3a16f700 (LWP 3818)):
#0  0x00007f6d885cb1d8 in read () from /lib64/libc.so.6
#1  0x00007f6d7f1009a0 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f6d7f0b9298 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f6d7f0b9720 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f6d7f0b988c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f6d8917d19b in QEventDispatcherGlib::processEvents (this=0x7f6ce8000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#6  0x00007f6d8911e32a in QEventLoop::exec (this=this@entry=0x7f6d3a16ebf0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#7  0x00007f6d88f4410a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:531
#8  0x00007f6d88f458b2 in QThreadPrivate::start (arg=0x558ce42bcf20) at thread/qthread_unix.cpp:361
#9  0x00007f6d80d234f9 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f6d885d9fbf in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7f6d3a970700 (LWP 3701)):
#0  0x00007f6d885cf6db in poll () from /lib64/libc.so.6
#1  0x00007f6d7f0b9779 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f6d7f0b988c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f6d8917d19b in QEventDispatcherGlib::processEvents (this=0x7f6cf4000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f6d8911e32a in QEventLoop::exec (this=this@entry=0x7f6d3a96fbf0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007f6d88f4410a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:531
#6  0x00007f6d88f458b2 in QThreadPrivate::start (arg=0x558ce4290600) at thread/qthread_unix.cpp:361
#7  0x00007f6d80d234f9 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f6d885d9fbf in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7f6d3b171700 (LWP 3700)):
#0  0x00007f6d885cf6db in poll () from /lib64/libc.so.6
#1  0x00007f6d7f0b9779 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f6d7f0b988c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f6d8917d19b in QEventDispatcherGlib::processEvents (this=0x7f6cf0000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f6d8911e32a in QEventLoop::exec (this=this@entry=0x7f6d3b170bc0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007f6d88f4410a in QThread::exec (this=<optimized out>) at thread/qthread.cpp:531
#6  0x00007f6d895edcd5 in ?? () from /usr/lib64/libQt5DBus.so.5
#7  0x00007f6d88f458b2 in QThreadPrivate::start (arg=0x7f6d89865d80) at thread/qthread_unix.cpp:361
#8  0x00007f6d80d234f9 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f6d885d9fbf in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7f6d3bfff700 (LWP 3699)):
#0  0x00007f6d80d2987d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6d50f03e9b in ?? () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f6d50f03a87 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f6d80d234f9 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f6d885d9fbf in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7f6d177fe700 (LWP 3697)):
#0  0x00007f6d80d2987d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6d50f03e9b in ?? () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f6d50f03a87 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f6d80d234f9 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f6d885d9fbf in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7f6d0f7fe700 (LWP 3696)):
#0  0x00007f6d80d2987d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6d50f03e9b in ?? () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f6d50f03a87 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f6d80d234f9 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f6d885d9fbf in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f6d17fff700 (LWP 3695)):
#0  0x00007f6d80d2987d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6d50f03e9b in ?? () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f6d50f03a87 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f6d80d234f9 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f6d885d9fbf in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f6d2cff9700 (LWP 3694)):
#0  0x00007f6d80d2987d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6d50f03e9b in ?? () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f6d50f03a87 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f6d80d234f9 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f6d885d9fbf in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f6d2d7fa700 (LWP 3693)):
#0  0x00007f6d80d2987d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6d50f03e9b in ?? () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f6d50f03a87 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f6d80d234f9 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f6d885d9fbf in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f6d2dffb700 (LWP 3692)):
#0  0x00007f6d80d2987d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6d50f03e9b in ?? () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f6d50f03a87 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f6d80d234f9 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f6d885d9fbf in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f6d2e7fc700 (LWP 3691)):
#0  0x00007f6d80d2987d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6d50f03e9b in ?? () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f6d50f03a87 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f6d80d234f9 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f6d885d9fbf in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f6d2effd700 (LWP 3690)):
#0  0x00007f6d80d2987d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6d50f03e9b in ?? () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f6d50f03a87 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f6d80d234f9 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f6d885d9fbf in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f6d2f7fe700 (LWP 3689)):
#0  0x00007f6d80d2987d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6d50f03e9b in ?? () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f6d50f03a87 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f6d80d234f9 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f6d885d9fbf in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f6d2ffff700 (LWP 3688)):
#0  0x00007f6d80d2987d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6d50f03e9b in ?? () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f6d50f03a87 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f6d80d234f9 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f6d885d9fbf in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f6d48df0700 (LWP 3687)):
#0  0x00007f6d80d2987d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6d50f03e9b in ?? () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f6d50f03a87 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f6d80d234f9 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f6d885d9fbf in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f6d495f1700 (LWP 3686)):
#0  0x00007f6d80d2987d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6d50f03e9b in ?? () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f6d50f03a87 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f6d80d234f9 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f6d885d9fbf in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f6d49df2700 (LWP 3685)):
#0  0x00007f6d80d2987d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6d50f03e9b in ?? () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f6d50f03a87 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f6d80d234f9 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f6d885d9fbf in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f6d4a5f3700 (LWP 3684)):
#0  0x00007f6d80d2987d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6d50f03e9b in ?? () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f6d50f03a87 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f6d80d234f9 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f6d885d9fbf in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f6d4af35700 (LWP 3683)):
#0  0x00007f6d80d2987d in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f6d50f03e9b in ?? () from /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f6d50f03a87 in ?? () from /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f6d80d234f9 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f6d885d9fbf in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f6d58e2f700 (LWP 3604)):
#0  0x00007f6d885cf6db in poll () from /lib64/libc.so.6
#1  0x00007f6d7ccc3307 in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007f6d7ccc4f3a in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007f6d5b5a5300 in ?? () from /usr/lib64/libQt5XcbQpa.so.5
#4  0x00007f6d88f458b2 in QThreadPrivate::start (arg=0x558ce3f6c790) at thread/qthread_unix.cpp:361
#5  0x00007f6d80d234f9 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f6d885d9fbf in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f6d8bd449c0 (LWP 3513)):
[KCrash Handler]
#4  0x0000558ce42be720 in ?? ()
#5  0x00007f6d891293a9 in QMetaObject::cast (this=this@entry=0x7f6d895cd8c0 <QAbstractProxyModel::staticMetaObject>, obj=obj@entry=0x558ce442f1e0) at kernel/qmetaobject.cpp:381
#6  0x00007f6d8abecaef in qobject_cast<QAbstractProxyModel const*> (object=0x558ce442f1e0) at /usr/include/qt5/QtCore/qobject.h:513
#7  proxiesAndModel (model=0x558ce442f1e0) at /usr/src/debug/akonadi-server-20.04.2-lp152.1.1.x86_64/src/core/models/entitytreemodel.cpp:1147
#8  0x00007f6d8abecbf0 in Akonadi::EntityTreeModel::modelIndexForCollection (model=<optimized out>, collection=...) at /usr/src/debug/akonadi-server-20.04.2-lp152.1.1.x86_64/src/core/models/entitytreemodel.cpp:1171
#9  0x00007f6d8b3bbc00 in MailCommon::Util::fullCollectionPath (collection=..., addAccountName=<optimized out>) at /usr/src/debug/mailcommon-20.04.2-lp152.1.1.x86_64/src/util/mailutil.cpp:114
#10 0x0000558ce250628b in ArchiveJob::execute (this=0x558ce453ff80) at /usr/src/debug/kmail-20.04.2-lp152.1.1.x86_64/agents/archivemailagent/job/archivejob.cpp:51
#11 0x00007f6d8b402e9b in MailCommon::JobScheduler::runTaskNow (this=0x558ce42b6530, task=<optimized out>) at /usr/src/debug/mailcommon-20.04.2-lp152.1.1.x86_64/src/job/jobscheduler.cpp:204
#12 0x00007f6d8b402fac in MailCommon::JobScheduler::slotRunNextJob (this=0x558ce42b6530) at /usr/src/debug/mailcommon-20.04.2-lp152.1.1.x86_64/src/job/jobscheduler.cpp:158
#13 0x00007f6d8914fd0f in QtPrivate::QSlotObjectBase::call (a=0x7ffeb6573a90, r=0x558ce42b6530, this=0x558ce42fa940) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:394
#14 QMetaObject::activate (sender=sender@entry=0x558ce42b6548, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffeb6573a90) at kernel/qobject.cpp:3784
#15 0x00007f6d89150307 in QMetaObject::activate (sender=sender@entry=0x558ce42b6548, m=m@entry=0x7f6d895ced80 <QTimer::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffeb6573a90) at kernel/qobject.cpp:3657
#16 0x00007f6d8915cb27 in QTimer::timeout (this=this@entry=0x558ce42b6548, _t1=...) at .moc/moc_qtimer.cpp:204
#17 0x00007f6d8915ce88 in QTimer::timerEvent (this=0x558ce42b6548, e=<optimized out>) at kernel/qtimer.cpp:255
#18 0x00007f6d8915075b in QObject::event (this=0x558ce42b6548, e=<optimized out>) at kernel/qobject.cpp:1283
#19 0x00007f6d899dba0c in QApplicationPrivate::notify_helper (this=this@entry=0x558ce3f412c0, receiver=receiver@entry=0x558ce42b6548, e=e@entry=0x7ffeb6573e00) at kernel/qapplication.cpp:3701
#20 0x00007f6d899e3020 in QApplication::notify (this=0x7ffeb6574100, receiver=0x558ce42b6548, e=0x7ffeb6573e00) at kernel/qapplication.cpp:3447
#21 0x00007f6d891200d8 in QCoreApplication::notifyInternal2 (receiver=0x558ce42b6548, event=0x7ffeb6573e00) at kernel/qcoreapplication.cpp:1088
#22 0x00007f6d8917c5e9 in QTimerInfoList::activateTimers (this=0x558ce3f48370) at kernel/qtimerinfo_unix.cpp:643
#23 0x00007f6d8917cdb1 in timerSourceDispatch (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:182
#24 0x00007f6d7f0b9464 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#25 0x00007f6d7f0b9800 in ?? () from /usr/lib64/libglib-2.0.so.0
#26 0x00007f6d7f0b988c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#27 0x00007f6d8917d17f in QEventDispatcherGlib::processEvents (this=0x558ce40276d0, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#28 0x00007f6d8911e32a in QEventLoop::exec (this=this@entry=0x7ffeb6574050, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#29 0x00007f6d89127530 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1389
#30 0x00007f6d8b96651d in Akonadi::AgentBase::init (r=...) at /usr/src/debug/akonadi-server-20.04.2-lp152.1.1.x86_64/src/agentbase/agentbase.cpp:967
#31 0x0000558ce250110b in Akonadi::AgentBase::init<ArchiveMailAgent> (argc=<optimized out>, argv=<optimized out>) at /usr/include/KF5/AkonadiAgentBase/agentbase.h:484
#32 0x00007f6d8850234a in __libc_start_main () from /lib64/libc.so.6
#33 0x0000558ce24ffc5a in _start () at ../sysdeps/x86_64/start.S:120
[Inferior 1 (process 3513) detached]

Possible duplicates by query: bug 424232, bug 415991, bug 414454, bug 405922, bug 403359.

Reported using DrKonqi
Comment 1 Don Curtis 2020-08-25 16:21:00 UTC
Created attachment 131171 [details]
New crash information added by DrKonqi

akonadi_archivemail_agent (5.14.2 (20.04.2)) using Qt 5.12.7

- What I was doing when the application crashed:

Adding a second Folder to be archived - the sent-mail ...

-- Backtrace (Reduced):
#9  0x000055f3ddbbe1a5 in ArchiveJob::~ArchiveJob (this=0x55f3df59d740, __in_chrg=<optimized out>) at /usr/src/debug/kmail-20.04.2-lp152.1.1.x86_64/agents/archivemailagent/job/archivejob.cpp:44
#10 0x000055f3ddbbe209 in ArchiveJob::~ArchiveJob (this=0x55f3df59d740, __in_chrg=<optimized out>) at /usr/src/debug/kmail-20.04.2-lp152.1.1.x86_64/agents/archivemailagent/job/archivejob.cpp:45
#11 0x00007f6a80fd87c0 in QObject::event (this=0x55f3df59d740, e=<optimized out>) at kernel/qobject.cpp:1252
#12 0x00007f6a81863a0c in QApplicationPrivate::notify_helper (this=this@entry=0x55f3df0652c0, receiver=receiver@entry=0x55f3df59d740, e=e@entry=0x55f3dfcb3d00) at kernel/qapplication.cpp:3701
#13 0x00007f6a8186b020 in QApplication::notify (this=0x7ffd2a412b90, receiver=0x55f3df59d740, e=0x55f3dfcb3d00) at kernel/qapplication.cpp:3447
Comment 2 Don Curtis 2020-08-26 08:33:57 UTC
Created attachment 131192 [details]
New crash information added by DrKonqi

akonadi_archivemail_agent (5.14.2 (20.04.2)) using Qt 5.12.7

- What I was doing when the application crashed:

Adding a MailDir to be archived - entered the parameters and saved them, left the automatic Archive setup and waited a minute or so.
 * The crash occurred when the newly configured automatic Archive began running for the first time.

-- Backtrace (Reduced):
#6  0x00007fa31a05eaef in qobject_cast<QAbstractProxyModel const*> (object=0x55aa4302fd70) at /usr/include/qt5/QtCore/qobject.h:513
#7  proxiesAndModel (model=0x55aa4302fd70) at /usr/src/debug/akonadi-server-20.04.2-lp152.1.1.x86_64/src/core/models/entitytreemodel.cpp:1147
#8  0x00007fa31a05ebf0 in Akonadi::EntityTreeModel::modelIndexForCollection (model=<optimized out>, collection=...) at /usr/src/debug/akonadi-server-20.04.2-lp152.1.1.x86_64/src/core/models/entitytreemodel.cpp:1171
#9  0x00007fa31a82dc00 in MailCommon::Util::fullCollectionPath (collection=..., addAccountName=<optimized out>) at /usr/src/debug/mailcommon-20.04.2-lp152.1.1.x86_64/src/util/mailutil.cpp:114
#10 0x000055aa427a028b in ArchiveJob::execute (this=0x55aa437432e0) at /usr/src/debug/kmail-20.04.2-lp152.1.1.x86_64/agents/archivemailagent/job/archivejob.cpp:51
Comment 3 Don Curtis 2020-08-27 06:56:31 UTC
Created attachment 131212 [details]
New crash information added by DrKonqi

akonadi_archivemail_agent (5.14.2 (20.04.2)) using Qt 5.12.7

- What I was doing when the application crashed:

Before the automatic archiving began, I took a look at the settings. When the 1st planned automatic archiving started, it crashed ...

-- Backtrace (Reduced):
#5  0x00007efe83d2daef in qobject_cast<QAbstractProxyModel const*> (object=0x55a2bcf94cb0) at /usr/include/qt5/QtCore/qobject.h:513
#6  proxiesAndModel (model=0x55a2bcf94cb0) at /usr/src/debug/akonadi-server-20.04.2-lp152.1.1.x86_64/src/core/models/entitytreemodel.cpp:1147
#7  0x00007efe83d2dbf0 in Akonadi::EntityTreeModel::modelIndexForCollection (model=<optimized out>, collection=...) at /usr/src/debug/akonadi-server-20.04.2-lp152.1.1.x86_64/src/core/models/entitytreemodel.cpp:1171
#8  0x00007efe844fcc00 in MailCommon::Util::fullCollectionPath (collection=..., addAccountName=<optimized out>) at /usr/src/debug/mailcommon-20.04.2-lp152.1.1.x86_64/src/util/mailutil.cpp:114
#9  0x000055a2bc39528b in ArchiveJob::execute (this=0x55a2bcf1a100) at /usr/src/debug/kmail-20.04.2-lp152.1.1.x86_64/agents/archivemailagent/job/archivejob.cpp:51
Comment 4 Ahmad Samir 2020-09-01 10:33:48 UTC
The backtraces are not all the identical, e.g. the one in the original post and the one in comment#2, are missing some debug symbols:
0x000055aa430c6170 in ?? ()

the backtraces from comment#1 and #3 are slightly different.
Comment 5 Don Curtis 2020-09-01 11:19:55 UTC
(In reply to Ahmad Samir from comment #4)
> The backtraces are not all the identical,

Hardly surprising:
 * The first Segmentation Fault occurred when adding the first periodic Archive.
 * The second when the second periodic Archive.
 * The third when an automatic Archive began running for the first time.
 * The fourth when I took a look at the settings.

------------------------------------------------------------
A segmentation fault or access violation is a fault, or failure condition, raised by hardware with memory protection, notifying an operating system (OS) that, the software has attempted to access a restricted area of memory (a memory access violation).
Comment 6 Ahmad Samir 2020-09-10 09:56:13 UTC
What I found out so far, the stack trace in comment #1 is a different issue than the other ones, that one is caused by deleting mInfo in the ArchiveJob dtor, it looks like a race issue caused by that objected (allocated with new) having already been deleted in the dtor of ArchiveMailManager, I think this can be fixed by using shared_ptr to manage ArchiveMailInfo objects which are passed from ArchiveMailManager too ArchiveJob.

The other stacktraces, are a crash in QObject::metaObject(); proxiesAndModel from EntityTreeModel, calls qobject_cast which calls QMetaObject::cast:
const QObject *QMetaObject::cast(const QObject *obj) const
{
    return (obj && obj->metaObject()->inherits(this)) ? obj : nullptr;
}

the crash happens in obj->metaObject(), I haven't been able to figure out why exactly that happens.

Steps to reproduce that crash:
- KMail -> Settings -> Configure automatic archiving
- Attach gdb to the running akonadi_archivemail_agent
- Create a new archiving job, OK/Apply
- Wait a while for the scheduled job to fire
- Crash
Comment 7 Laurent Montel 2020-09-16 16:52:27 UTC
Git commit 0922a95a692f6424773cd28f21a83237a60d226f by Laurent Montel.
Committed on 16/09/2020 at 16:51.
Pushed by mlaurent into branch 'release/20.08'.

Fix Bug 426596 - Application: "akonadi_archivemail_agent" crashed after closing "Configure automatic archving..."-Dialog
Related: bug 426596, bug 424232

M  +6    -0    agents/archivemailagent/archivemailkernel.cpp
M  +2    -0    agents/archivemailagent/archivemailkernel.h
M  +1    -1    agents/archivemailagent/archivemailmanager.cpp
M  +1    -2    agents/archivemailagent/archivemailwidget.cpp

https://invent.kde.org/pim/kmail/commit/0922a95a692f6424773cd28f21a83237a60d226f